*
The moose likes Tomcat and the fly likes Any people success in using Apache 2 + tomcat 4 under Win (or WinXP)? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Murach's Java Servlets and JSP this week in the Servlets forum!
JavaRanch » Java Forums » Products » Tomcat
Bookmark "Any people success in using Apache 2 + tomcat 4 under Win (or WinXP)?" Watch "Any people success in using Apache 2 + tomcat 4 under Win (or WinXP)?" New topic
Author

Any people success in using Apache 2 + tomcat 4 under Win (or WinXP)?

Tazzmission
Greenhorn

Joined: Jan 16, 2002
Posts: 20
I setup 2 days and still can't get it work.
Using webapp module.so and copy libapr.dll to tomcat/modules and windows/system and windows/system32
in apache conf,
I write:
LoadModule webapp_module modules/mod_webapp.so
#AddModule mod_webapp.c
WebAppConnection conn warp localhost:8008
WebAppDeploy examples conn /examples

When startup apache2, it said "Apache HTTP Server error, must be closed", it seems it's libapr.dll, I don't know, have any success in doing this?Thanks
Axel Janssen
Ranch Hand

Joined: Jan 08, 2001
Posts: 2164
The problems is clearly Apache or the connector. Maybe you ask on their website? Tomcat-standalone runs without any problems on my xp.

Although: There are guys who swear they have IBM VAJ running on XP and on mine it simply does not install.
Axel
Tazzmission
Greenhorn

Joined: Jan 16, 2002
Posts: 20
Now I've downgrade to Apache 1.3 and it works. I give it up..
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Any people success in using Apache 2 + tomcat 4 under Win (or WinXP)?
 
Similar Threads
Apache HTTP Server VS Tomcat
integrating tomcat 5.5.23 with apache 2.0.59
Problem Loading mod_jk.dll
Tomcat 5.0.28 - Apache 2.0.25 using JK2 Config Error
Apache 2.0.5.3 + Tomcat 5.5.4 connector on WinXP